Skip to main content
GET
/
inventory
/
stocks
/
groups
Get Stock Groups
curl --request GET \
  --url https://api.decodahealth.com/inventory/stocks/groups \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/inventory/stocks/groups"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/inventory/stocks/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "key": "<string>",
    "label": "<string>",
    "total": 123
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

page
integer | null
per_page
integer | null
sort_by
string | null
sort_direction
enum<string> | null
Available options:
asc,
desc
location_id
string | null
name
string | null

Optional name of the stock

ids
string[] | null

Optional IDs of the stock

item_id
string | null

Optional ID of the item

supplier_id
string | null

Optional ID of the supplier to filter by

category
string | null

Optional category name to filter by (references category.name)

remaining_quantity
number[] | null

Optional remaining quantity of the stock

location_ids
string[] | null

Optional list of location IDs to filter shipments by

unit
enum<string> | null

Optional unit of measurement

Available options:
AMPOULES,
APPLICATORS,
BOTTLES,
BOXES,
CAPSULES,
CUPS,
DOSES,
G_PER_ML,
GRAMS,
IU,
IU_PER_ML,
OUNCES,
FLUID_OUNCES,
KG,
KITS,
LITERS,
MCG,
MG,
MG_PER_ML,
ML,
MMOL,
MICROGRAM_PER_ML,
PACKS,
PAIRS,
PATCHES,
PERCENTAGE,
PIECES,
POUCHES,
ROLLS,
SACHETS,
SHEETS,
SPRAYS,
STRIPS,
SYRINGES,
TABLETS,
TABLETS_PER_DAY,
TESTS,
TUBES,
UNITS,
VIALS,
TREATMENTS,
SESSIONS,
PULSES,
JOULES,
CENTIMETERS,
THREAD_COUNT,
INJECTIONS,
WRINKLE_UNITS,
POUNDS,
FEET,
INCHES
is_archived
boolean | null

Optional filter for archived status

group_by
enum<string> | null

Optional group by field

Available options:
category,
supplier

Response

Successful Response

key
string
required
label
string
required
total
integer
required